# Static Gates Object

> Source: https://truto.one/docs/api-reference/admin/static-gates/

Schema for the `Static Gates` resource in **Admin API**.

## Properties

- **`id`** _(string)_
  The ID of the static gate.
- **`name`** _(string)_
  A descriptive name for the static gate.
- **`domain`** _(string)_
  The domain this static gate will proxy requests for.
- **`created_by`** _(string)_
  The ID of the user who created this static gate.
- **`environment_id`** _(string)_
  The ID of the environment this static gate is scoped to.
- **`created_at`** _(string)_
  The date and time when the static gate was created.
- **`updated_at`** _(string)_
  The date and time when the static gate was last updated.

## Methods

- [GET /static-gate](/docs/api-reference/admin/static-gates/list) — List static gates
- [POST /static-gate](/docs/api-reference/admin/static-gates/create) — Create static gate
- [GET /static-gate/{id}](/docs/api-reference/admin/static-gates/get) — Get static gate
- [PATCH /static-gate/{id}](/docs/api-reference/admin/static-gates/patch) — Update static gate
- [DELETE /static-gate/{id}](/docs/api-reference/admin/static-gates/delete) — Delete static gate
